# -*- encoding: utf-8 -*-
# stub: buff-extensions 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "buff-extensions".freeze
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jamie Winsor".freeze]
  s.date = "2022-07-01"
  s.description = "Extensions to Core Ruby classes".freeze
  s.email = ["jamie@vialstudios.com".freeze]
  s.files = ["CONTRIBUTING.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE".freeze, "README.md".freeze, "Thorfile".freeze, "buff-extensions.gemspec".freeze, "lib/buff-extensions.rb".freeze, "lib/buff/extensions.rb".freeze, "lib/buff/extensions/boolean.rb".freeze, "lib/buff/extensions/hash.rb".freeze, "lib/buff/extensions/hash/dotted_paths.rb".freeze, "lib/buff/extensions/hash/except.rb".freeze, "lib/buff/extensions/hash/key_transforms.rb".freeze, "lib/buff/extensions/hash/reverse_merge.rb".freeze, "lib/buff/extensions/hash/slice.rb".freeze, "lib/buff/extensions/kernel.rb".freeze, "lib/buff/extensions/kernel/reporting.rb".freeze, "lib/buff/extensions/object.rb".freeze, "lib/buff/extensions/object/blank.rb".freeze, "lib/buff/extensions/object/try.rb".freeze, "lib/buff/extensions/string.rb".freeze, "lib/buff/extensions/string/inflections.rb".freeze, "lib/buff/extensions/version.rb".freeze, "spec/buff/extensions/hash/dotted_paths_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/RiotGames/buff-extensions".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.3.15".freeze
  s.summary = "Extensions to Core Ruby classes".freeze
  s.test_files = ["spec/buff/extensions/hash/dotted_paths_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<buff-ruby_engine>.freeze, ["~> 0.1"])
    s.add_development_dependency(%q<thor>.freeze, ["~> 0.18.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<fuubar>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<guard-spork>.freeze, [">= 0"])
    s.add_development_dependency(%q<spork>.freeze, [">= 0"])
  else
    s.add_dependency(%q<buff-ruby_engine>.freeze, ["~> 0.1"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.18.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<fuubar>.freeze, [">= 0"])
    s.add_dependency(%q<guard>.freeze, [">= 0"])
    s.add_dependency(%q<guard-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<guard-spork>.freeze, [">= 0"])
    s.add_dependency(%q<spork>.freeze, [">= 0"])
  end
end
